// LiteStep specific things
#include "../../litestep/lsapi/lsapi.h"

#define WIN32_LEAN_AND_MEAN

const char szVersion[] = "MonitorInfo 1.0.1 (Whitman)";
const char szAppName[] = "MonitorInfo";

HINSTANCE hInstance;
HWND hwndMain, hwndParent;

int msgs[] =
{
    LM_GETREVID,
    LM_REFRESH,
    0
};

extern "C" {
	__declspec( dllexport ) int initModuleEx(HWND hParent, HINSTANCE hInst, LPCSTR pszPath);
	__declspec( dllexport ) void quitModule(HINSTANCE hInst);
}
LRESULT CALLBACK WndProc(HWND hwnd, UINT msg, WPARAM wParam, LPARAM lParam);

// Module specific things

#include <stdio.h>

const int MAX_NUMBER_OF_MONITORS = 5;
MONITORINFO monitorInfoArray[MAX_NUMBER_OF_MONITORS];
int monitorIndex;

void writeMonitorInfo(void);
void writeMonitorInfoEvars(void);
void writeMonitorInfoFile(char* fileLocation);
BOOL CALLBACK EnumMonitorsProc(HMONITOR hMonitor, HDC hdc, LPRECT lpRMonitor, LPARAM dwData);
